Bug 111422 - Line height/spacing differs between regular and italic for some fonts
Summary: Line height/spacing differs between regular and italic for some fonts
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.3 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Fonts
  Show dependency treegraph
 
Reported: 2017-08-06 20:55 UTC by Yannick.D
Modified: 2019-03-21 11:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Some fonts show inconsistent line spacing between its styles (160.67 KB, image/png)
2017-08-06 20:58 UTC, Yannick.D
Details
Spacing in Pages (137.50 KB, image/png)
2017-08-07 12:04 UTC, Yannick.D
Details
Spacing in Word for Mac (145.42 KB, image/png)
2017-08-07 12:05 UTC, Yannick.D
Details
Spacing in OpenOffice (173.65 KB, image/png)
2017-08-07 12:08 UTC, Yannick.D
Details
Spacing in LO for comparison (202.47 KB, image/png)
2017-08-07 12:19 UTC, Yannick.D
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yannick.D 2017-08-06 20:55:12 UTC
Description:
For some fonts like EB Garamond (v0.8 extended/edited by Octavio Pardo) or Calibri (v2.31) line height (or is it line spacing?) appears different between different styles of the same font. This leads to typographic issues if an font style changes within one paragraph for emphasis.

Workaround: use fixed values for line spacing

As this occurs with very few fonts I'm not sure if it is related to LO or the font file itself. Its reproducible with OpenOffice v4.1.3.

Steps to Reproduce:
1. Install EB Garamond 12 v0.8 Regular and Italic from https://github.com/octaviopardo/EBGaramond12/tree/master/Fonts
2. Write a paragraph with several lines of text
3. Set more than one full line of this paragraph in italic

Actual Results:  
Line spacing is inconsistent

Expected Results:
Line spacing should be consistent


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_5) AppleWebKit/603.2.4 (KHTML, like Gecko) Version/10.1.1 Safari/603.2.4
Comment 1 Yannick.D 2017-08-06 20:58:56 UTC
Created attachment 135200 [details]
Some fonts show inconsistent line spacing between its styles
Comment 2 Yannick.D 2017-08-06 21:00:52 UTC
Might be related to how line hight is calculated by LO as discussed in issue 94464 (https://bugs.documentfoundation.org/show_bug.cgi?id=94464). Sorry for second post.
Comment 3 Adolfo Jayme 2017-08-07 11:40:36 UTC
The Google-commissioned EB Garamond by Octavio is currently in development and not intended yet for general use. Just saying…
Comment 4 Yannick.D 2017-08-07 12:04:23 UTC
I know, I know. Was just the most recent example I came across and led me to reporting it. Cardo v1.045 is another one, there might be more. As I said it's so few fonts that it might be issues with them. Still, this issue is not always present in other office suits, so it might be related to the way LO calculates line spacing. Or probably its a combination of both.

These fonts behave differently in other word processors albeit with issues as well. See screenshots added.
Comment 5 Yannick.D 2017-08-07 12:04:48 UTC
Created attachment 135208 [details]
Spacing in Pages
Comment 6 Yannick.D 2017-08-07 12:05:13 UTC
Created attachment 135209 [details]
Spacing in Word for Mac
Comment 7 Yannick.D 2017-08-07 12:08:44 UTC
Created attachment 135210 [details]
Spacing in OpenOffice
Comment 8 Yannick.D 2017-08-07 12:19:40 UTC
Created attachment 135211 [details]
Spacing in LO for comparison
Comment 9 Buovjaga 2017-08-26 16:37:57 UTC
Not seeing a problem with Cardo.
I took a screenshot, imported to GIMP, made a selection between the lines and moved it around to compare. Same height.

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: 3c49b28ffa7ab062726e5e600312d9164224404e
CPU threads: 8; OS: Linux 4.12; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on August 26th 2017
Comment 10 Dieter Praas 2018-06-15 14:58:57 UTC
(In reply to Yannick.D from comment #2)
> Might be related to how line hight is calculated by LO as discussed in issue
> 94464 (https://bugs.documentfoundation.org/show_bug.cgi?id=94464).

Bug 94464 haas been fixed. Does this change or solve your problem? I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
Comment 11 QA Administrators 2019-01-11 15:22:08 UTC Comment hidden (obsolete)
Comment 12 QA Administrators 2019-03-21 11:26:05 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20190321